#ifndef aelist_h
#define aelist_h

#include <appleevents.h>

#ifndef inttypes_h
#include "inttypes.h"
#endif
#ifndef errorsource_h
#include "errorsource.h"
#endif
#ifndef aedesc_h
#include "aedesc.h"
#endif

class aelist: public aedesc
  {
	public:
		aelist()							{ error= AECreateList( 0,0,0,this ); }
				
		void append( DescType, void *, uint32 size );
		void append( DescType, Handle );
		void append( const AEDesc& );
		
		uint32 countitems();
		
		OSErr getnth( uint32 index,
						  DescType desired,
						  AEKeyword& key,
						  DescType& actualtype,
						  void *data,
						  uint32 maxsize,
						  uint32& truesize );
		
		OSErr getnth( uint32 index,
						  DescType desired,
						  AEKeyword& key,
						  DescType& actualtype,
						  Handle& result );
		
		OSErr getnth( uint32 index,
						  DescType desired,
						  AEKeyword& key,
						  AEDesc& result );
		
		operator AEDescList&()					{ return (AEDescList&)*this; }
  };

#endif aelist_h
