#ifndef bootblock_h
#define bootblock_h

#include <memory.h>

#ifndef inttypes_h
#include "inttypes.h"
#endif

class bootblock
  {
	private:
		char data[1024];
	
		void insert( Handle, uint32& position );
		void zero( uint32 from);
		
	public:
		bootblock();
		
		OSErr install( const FSSpec& volume );
  };

#endif bootblock_h
