#ifndef directoryloop_h
#define directoryloop_h

#include <files.h>

#ifndef errorsource_h
#include "errorsource.h"
#endif

class directoryloop: public errorsource
  {
	private:
		CInfoPBRec pb;
		long dirid;
		Str63 thename;
		
	public:
		directoryloop( const FSSpec& directory );
		
		void next();
		
		boolean unfinished() const		{ return !iswrong(); }
		
		boolean invisible() const
		  { return pb.hFileInfo.ioFlFndrInfo.fdFlags & fInvisible; }
		
		OSErr makespec( FSSpec& );
  };

#endif directoryloop_h
