#ifndef templock_h
#define templock_h

class templock
  {
	private:
		Handle thehandle;
		SignedByte oldstate;
	
	public:
		templock( Handle h )
		  {
			thehandle= h;
			oldstate= HGetState( h );
			HLock(h);
		  }
		
		~templock()
		  {
			HSetState( thehandle, oldstate );
		  }
  };

#endif templock_h